Name:		qmidictl
Version:	0.9.11
Release:	%mkrel 1
Summary:	A MIDI Remote Controller via UDP/IP Multicast
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://qmidictl.sourceforge.io/
Source0:	https://downloads.sourceforge.net/qmidictl/%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)

%description
QmidiCtl is a MIDI remote controller application that sends MIDI
data over the network, using UDP/IP multicast.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

#menu
desktop-file-install \
  --remove-key="X-Osso-Type" \
  --remove-key="Version" \
  --remove-key="Encoding" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%doc ChangeLog README
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_iconsdir}/*/*/*/org.rncbc.%{name}.png
%{_iconsdir}/*/*/*/org.rncbc.%{name}.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*


%changelog
* Wed Sep 20 2023 daviddavid <daviddavid> 0.9.11-1.mga10
+ Revision: 1988470
- new version: 0.9.11

* Wed Sep 06 2023 daviddavid <daviddavid> 0.9.10-1.mga10
+ Revision: 1984587
- new version: 0.9.10

* Wed Dec 28 2022 daviddavid <daviddavid> 0.9.8-1.mga9
+ Revision: 1927392
- new version: 0.9.8

* Sun Dec 11 2022 daviddavid <daviddavid> 0.9.7-1.mga9
+ Revision: 1920796
- new version: 0.9.7
- switch to Qt6

* Sun Apr 03 2022 umeabot <umeabot> 0.9.3-2.mga9
+ Revision: 1842451
- Mageia 9 Mass Rebuild

* Wed May 19 2021 daviddavid <daviddavid> 0.9.3-1.mga9
+ Revision: 1725596
- new version: 0.9.3

* Wed Mar 17 2021 daviddavid <daviddavid> 0.9.2-1.mga9
+ Revision: 1704013
- new version: 0.9.2

* Thu Feb 25 2021 daviddavid <daviddavid> 0.9.1-1.mga9
+ Revision: 1690898
- new version: 0.9.1

* Sat Dec 19 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1661134
- new version: 0.9.0

* Thu Dec 17 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1659496
- Rebuild for new Qt5

* Sat Aug 01 2020 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1610114
- new version: 0.6.3

* Wed Mar 25 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1559665
- new version: 0.6.2

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1541322
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 22 2019 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1469566
- new version: 0.6.1

* Thu Oct 17 2019 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1454274
- new version: 0.6.0

* Fri Jul 12 2019 daviddavid <daviddavid> 0.5.5-1.mga8
+ Revision: 1420788
- new version: 0.5.5

* Thu Apr 11 2019 daviddavid <daviddavid> 0.5.4-1.mga7
+ Revision: 1388309
- new version: 0.5.4

* Mon Apr 01 2019 umeabot <umeabot> 0.5.1-3.mga7
+ Revision: 1384227
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1300662
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 daviddavid <daviddavid> 0.5.1-1.mga7
+ Revision: 1236324
- initial package qmidictl

